<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>News Portal</title>
		<link
			href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
			rel="stylesheet"
			integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
			crossorigin="anonymous"
		/>
		<link rel="stylesheet" href="styles.css" />
	</head>
	<body>
		<div
			class="container-fluid d-flex justify-content-center align-items-center p-5 blue-color"
		>
			<h1 class="display-3 bold gray-500 title">
				<ion-icon name="newspaper-outline"></ion-icon> News Portal
			</h1>
		</div>

		<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
			<div class="container-fluid">
				<a class="navbar-brand" href="#"
					><ion-icon name="newspaper-outline"></ion-icon
				></a>
				<button
					class="navbar-toggler"
					type="button"
					data-bs-toggle="collapse"
					data-bs-target="#navbarNavAltMarkup"
					aria-controls="navbarNavAltMarkup"
					aria-expanded="false"
					aria-label="Toggle navigation"
				>
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarNavAltMarkup">
					<div class="navbar-nav">
						<a class="nav-link" href="#" id="top-headline-button">Top Headline</a>
						<a class="nav-link" href="#" id="sports-button">Sports</a>
						<a class="nav-link" href="#" id="entertainment-button">Entertainment</a>
						<a class="nav-link" href="#" id="technology-button">Technology</a>
					</div>
				</div>
			</div>
		</nav>

		<div class="container my-5" id="heading">
			<div class="d-flex justify-content-between">
				<h1 class="display-6 m-0" id="subtitle">Top Headline News</h1>
				<form role="search" class="d-flex">
					<input
						class="form-control me-1"
						type="search"
						placeholder="Search"
						aria-label="Search"
                        id="search-field"
					/>
                    <button type="button" class="btn btn-outline-primary d-flex justify-content-center align-items-center" id="search-button"><ion-icon name="search-outline"></ion-icon></button>
				</form>
			</div>
		</div>

		<div class="container mb-5">
			<div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-4" id="news-list">
                
			</div>
		</div>

        <footer class="container-fluid p-4">
            <h6 class="text-center m-0">Powered By - News Portal</h6>
        </footer>

		<script
			src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
			integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
			crossorigin="anonymous"
		></script>

		<script
			type="module"
			src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"
		></script>
		<script
			nomodule
			src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"
		></script>
        <script src="main.js"></script>
	</body>
</html>
